Bug 56883 - upgrade from kernel 2.4.13 & kernel-headers rpm fails
Summary: upgrade from kernel 2.4.13 & kernel-headers rpm fails
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc-kernheaders (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-29 14:53 UTC by Mike Onyskiw
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-29 14:53:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike Onyskiw 2001-11-29 14:53:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 4.01; Windows 98)

Description of problem:
Attempting to upgrade from kernel 2.4.13-0.3 with associated kernel-
headers to kernel 2.4.16-0.3 and glibc-kernheaders 2.4-1 (Nov 1 on ftp 
site). Trying glibc-kernheaders first with both gnorpm & rpm -Uvh glibc
[...] fails with: 

Error: unpacking of archive failed on file /usr/include/asm: cpio: unlink 
failed - Is a directory.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start from a 7.1 installation with a "kernel-headers" installation
2. rpm -Uvh glibc-kernheaders-2_4-1_i386.rpm
3.
	

Actual Results:  Error: unpacking of archive failed on file 
/usr/include/asm: cpio: unlink failed - Is a directory

Expected Results:  Successful replacement of old kernel-specific "kernel-
headers" rpm with new "glibc-kernheaders" which then provides "kernel-
headers"

Additional info:

Main distribution is 7.1 with all current fixes, and updated e2fstools for 
ext3 use.

Comment 1 Mike Onyskiw 2001-12-04 18:10:56 UTC
Fixed in glibc-kernheaders-2.4-2


Note You need to log in before you can comment on or make changes to this bug.